#pragma once
#ifndef DEVICE_TEXT_STRUCTS_H
#define DEVICE_TEXT_STRUCTS_H

/*!
    \brief Hält die grundlegenden Informationen über die Anzeigetexte der Firmware.
    
    Wenn bei der Übertragung der Daten der Blocktyp "Text" nicht unterstuetzt wird,
    dann werden die Textdaten als "verkappter" Zeichensatz übertragen, daher ist der Strukturaufbau der gleiche.
    Die Unterscheidung, dass es sich um einen Text handelt wird ueber den type = 2 gemacht.
*/
struct TEXTDATA
{
    unsigned char version; //!< Versionserkennung
    char name[32];         //!< Bezeichnung fuer Struktur
    unsigned char type;    //!< 0 = System, 1 = User, 2 = Text Default, 3 = Text User
    unsigned char temp[4]; //!< Unbenutzt
    unsigned short cnt;    //!< Maximale ID + 1, auch Anzahl Texte
    unsigned int crc;      //!< Prüfsumme
    unsigned int size;     //!< Groesse in Byte der Textdaten
    unsigned int ptrIDTable;  //!< Offset auf ID-Tabelle (sizeof(TEXTDATA))
    unsigned int ptrTextdata; //!< Offset auf den 1sten Text (sizeof(TEXTDATA) + maxID * sizeof(unsigned short))
};

#endif
